package com.yijia.integral.service;

import java.util.List;
import com.yijia.integral.domain.IntegralRule;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author yijia
 * @date 2021-02-24
 */
public interface IIntegralRuleService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public IntegralRule selectIntegralRuleById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param integralRule 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<IntegralRule> selectIntegralRuleList(IntegralRule integralRule);

    /**
     * 新增【请填写功能名称】
     * 
     * @param integralRule 【请填写功能名称】
     * @return 结果
     */
    public int insertIntegralRule(IntegralRule integralRule);

    /**
     * 修改【请填写功能名称】
     * 
     * @param integralRule 【请填写功能名称】
     * @return 结果
     */
    public int updateIntegralRule(IntegralRule integralRule);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    public int deleteIntegralRuleByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteIntegralRuleById(Long id);

    /**
     * 获取当前油站的积分规则
     * @param integralRule
     * @return
     */
    public IntegralRule selectIntegralRule(IntegralRule integralRule);
    /**
     * 查询积分明细
     * @param integralRule
     * @return
     */
    public List<IntegralRule> listRuleInfo(IntegralRule integralRule);
}
